/* eslint-disable */
import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

let router = new Router({
  routes: [{
    path: '/', // 框架页
    name: 'sys',
    redirect: '/index',
    component: resolve => (require(['@/pages/index'], resolve)),
    children: [
      {
        path: '/index', // 首页
        name: 'index',
        redirect: '/index/ShouYe',
        component: resolve => (require(['@/pages/index/index'], resolve)),
        children: [
          {
            path: '/index/ShouYe', // 首页
            name: 'ShouYe',
            component: resolve => (require(['@/pages/index/ShouYe'], resolve))
          }, {
            path: '/index/ZuQiu', // 足球
            name: 'ZuQiu',
            component: resolve => (require(['@/pages/index/ZuQiu'], resolve))
          }, {
            path: '/index/ZuQiuDingDan', // 足球订单
            name: 'ZuQiuDingDan',
            component: resolve => (require(['@/pages/index/ZuQiuDingDan'], resolve))
          }, {
            path: '/index/LanQiu', // 篮球
            name: 'LanQiu',
            component: resolve => (require(['@/pages/index/LanQiu'], resolve))
          }, {
            path: '/index/LanQiuDingDan', // 篮球订单
            name: 'LanQiuDingDan',
            component: resolve => (require(['@/pages/index/LanQiuDingDan'], resolve))
          }, {
            path: '/index/DaLeTou', // 大乐透
            name: 'DaLeTou',
            component: resolve => (require(['@/pages/index/DaLeTou'], resolve))
          }, {
            path: '/index/DaLeTouDingDan', // 大乐透订单
            name: 'DaLeTouDingDan',
            component: resolve => (require(['@/pages/index/DaLeTouDingDan'], resolve))
          }, {
            path: '/index/ShuangSeQiu', // 双色球
            name: 'ShuangSeQiu',
            component: resolve => (require(['@/pages/index/ShuangSeQiu'], resolve))
          }, {
            path: '/index/ShuangSeQiuDingDan', // 双色球订单
            name: 'ShuangSeQiuDingDan',
            component: resolve => (require(['@/pages/index/ShuangSeQiuDingDan'], resolve))
          }, {
            path: '/index/PaiLie3', // 排列3
            name: 'PaiLie3',
            component: resolve => (require(['@/pages/index/PaiLie3'], resolve))
          }, {
            path: '/index/PaiLie3DingDan', // 排列3订单
            name: 'PaiLie3DingDan',
            component: resolve => (require(['@/pages/index/PaiLie3DingDan'], resolve))
          }, {
            path: '/index/PaiLie5', // 排列5
            name: 'PaiLie5',
            component: resolve => (require(['@/pages/index/PaiLie5'], resolve))
          }, {
            path: '/index/PaiLie5DingDan', // 排列5订单
            name: 'PaiLie5DingDan',
            component: resolve => (require(['@/pages/index/PaiLie5DingDan'], resolve))
          }
        ]
      },
      {
        path: '/KaiJiangZhanShi', // 开奖展示
        name: 'KaiJiangZhanShi',
        redirect: '/KaiJiangZhanShi/SubIndex',
        component: resolve => (require(['@/pages/KaiJiangZhanShi/index'], resolve)),
        children: [
          {
            path: '/KaiJiangZhanShi/SubIndex', // 开奖展示-首页
            name: 'KaiJiangZhanShiSubIndex',
            component: resolve => (require(['@/pages/KaiJiangZhanShi/SubIndex'], resolve))
          },
          {
            path: '/KaiJiangZhanShi/ZuQiu', // 开奖展示-足球
            name: 'KaiJiangZhanShiZuQiu',
            component: resolve => (require(['@/pages/KaiJiangZhanShi/ZuQiu'], resolve))
          },
          {
            path: '/KaiJiangZhanShi/LanQiu', // 开奖展示-篮球
            name: 'KaiJiangZhanShiLanQiu',
            component: resolve => (require(['@/pages/KaiJiangZhanShi/LanQiu'], resolve))
          },
          {
            path: '/KaiJiangZhanShi/ShuangSeQiu', // 开奖展示-双色球
            name: 'KaiJiangZhanShiShuangSeQiu',
            component: resolve => (require(['@/pages/KaiJiangZhanShi/ShuangSeQiu'], resolve))
          },
          {
            path: '/KaiJiangZhanShi/ShuangSeQiuXiangQing', // 开奖展示-双色球详情
            name: 'ShuangSeQiuXiangQing',
            component: resolve => (require(['@/pages/KaiJiangZhanShi/ShuangSeQiuXiangQing'], resolve))
          },
          {
            path: '/KaiJiangZhanShi/DaLeTou', // 开奖展示-大乐透
            name: 'KaiJiangZhanShiDaLeTou',
            component: resolve => (require(['@/pages/KaiJiangZhanShi/DaLeTou'], resolve))
          },
          {
            path: '/KaiJiangZhanShi/DaLeTouXiangQing', // 开奖展示-大乐透详情
            name: 'DaLeTouXiangQing',
            component: resolve => (require(['@/pages/KaiJiangZhanShi/DaLeTouXiangQing'], resolve))
          }
        ]
      },
      {
        path: '/WoDe', // 我的
        name: 'WoDe',
        redirect: '/WoDe/UserCenter',
        component: resolve => (require(['@/pages/WoDe/index'], resolve)),
        children: [
          {
            path: '/WoDe/UserCenter', // 个人中心
            name: 'UserCenter',
            component: resolve => (require(['@/pages/WoDe/UserCenter'], resolve))
          },
          {
            path: '/WoDe/WoDeCaiPiao', // 我的彩票
            name: 'WoDeCaiPiao',
            component: resolve => (require(['@/pages/WoDe/WoDeCaiPiao'], resolve))
          },
          {
            path: '/WoDe/CaiPiaoXiangQing', // 彩票详情
            name: 'CaiPiaoXiangQing',
            component: resolve => (require(['@/pages/WoDe/CaiPiaoXiangQing'], resolve))
          },
          {
            path: '/WoDe/ZhangHaoMingXi', // 账号明细
            name: 'ZhangHaoMingXi',
            component: resolve => (require(['@/pages/WoDe/ZhangHaoMingXi'], resolve))
          },
          {
            path: '/WoDe/AnQuanZhongXin', // 安全中心
            name: 'AnQuanZhongXin',
            redirect: '/WoDe/AnQuanZhongXin/SubIndex',
            component: resolve => (require(['@/pages/WoDe/AnQuanZhongXin'], resolve)),
            children: [
              {
                path: '/WoDe/AnQuanZhongXin/SubIndex', // 安全中心-首页
                name: 'ZhangHaoMingXiSubIndex',
                component: resolve => (require(['@/pages/WoDe/AnQuanZhongXin/SubIndex'], resolve))
              },
              {
                path: '/WoDe/AnQuanZhongXin/YaoQingZhuCe', // 邀请注册
                name: 'YaoQingZhuCe',
                component: resolve => (require(['@/pages/WoDe/AnQuanZhongXin/YaoQingZhuCe'], resolve))
              },
              {
                path: '/WoDe/AnQuanZhongXin/BangDingShouJi', // 绑定手机
                name: 'BangDingShouJi',
                component: resolve => (require(['@/pages/WoDe/AnQuanZhongXin/BangDingShouJi'], resolve))
              }
            ]
          },
          {
            path: '/WoDe/GeRenSheZhi', // 个人设置
            name: 'GeRenSheZhi',
            redirect: '/WoDe/GeRenSheZhi/SheZhi',
            component: resolve => (require(['@/pages/WoDe/GeRenSheZhi'], resolve)),
            children: [
              {
                path: '/WoDe/GeRenSheZhi/SheZhi', // 设置
                name: 'SheZhi',
                component: resolve => (require(['@/pages/WoDe/GeRenSheZhi/SheZhi'], resolve))
              },
              {
                path: '/WoDe/GeRenSheZhi/ZhangHuSheZhi', // 账户设置
                name: 'ZhangHuSheZhi',
                redirect: '/WoDe/GeRenSheZhi/ZhangHuSheZhi/UserInfo',
                component: resolve => (require(['@/pages/WoDe/GeRenSheZhi/ZhangHuSheZhi'], resolve)),
                children: [
                  {
                    path: '/WoDe/GeRenSheZhi/ZhangHuSheZhi/UserInfo', // 用户信息
                    name: 'UserInfo',
                    component: resolve => (require(['@/pages/WoDe/GeRenSheZhi/ZhangHuSheZhi/UserInfo'], resolve))
                  },
                  {
                    path: '/WoDe/GeRenSheZhi/ZhangHuSheZhi/EditUserNick', // 改修用户昵称
                    name: 'EditUserNick',
                    component: resolve => (require(['@/pages/WoDe/GeRenSheZhi/ZhangHuSheZhi/EditUserNick'], resolve))
                  }
                ]
              },
              {
                path: '/WoDe/GeRenSheZhi/GuanYuWoMen', // 关于我们
                name: 'GuanYuWoMen',
                component: resolve => (require(['@/pages/WoDe/GeRenSheZhi/GuanYuWoMen'], resolve))
              }
            ]
          },
          {
            path: '/WoDe/XiaZaiErWeiMa', // 下载二维码
            name: 'XiaZaiErWeiMa',
            component: resolve => (require(['@/pages/WoDe/XiaZaiErWeiMa'], resolve))
          }
        ]
      },
      {
        path: '/SignIn', // 登录
        name: 'SignIn',
        component: resolve => (require(['@/pages/SignIn'], resolve))
      },
      {
        path: '/Register', // 注册
        name: 'Register',
        component: resolve => (require(['@/pages/Register'], resolve))
      }
    ]
  }]
})

router.beforeEach((to, from, next) => {
  next()
})

export default router